NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Tooling::SpecialPiercingInsertBuilder Class Reference

Creates special piercing insert for progressive die.No entity is returned. More...

Inheritance diagram for NXOpen::Tooling::SpecialPiercingInsertBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  BoundBoxType { BoundBoxTypeBoundedBlock, BoundBoxTypeBoundedCylinder }
 Specifies the bounded box type block or cylinder. More...
 
enum  InsertPositionTypes { InsertPositionTypesTop, InsertPositionTypesBottom }
 Specifies the position of piercing inserts, for EDW only. More...
 
enum  NormalBottomBackingPlateSlugType {
  NormalBottomBackingPlateSlugTypeFillet, NormalBottomBackingPlateSlugTypeRectangle, NormalBottomBackingPlateSlugTypeCircle, NormalBottomBackingPlateSlugTypeMickey,
  NormalBottomBackingPlateSlugTypeClearance, NormalBottomBackingPlateSlugTypeSlotVer, NormalBottomBackingPlateSlugTypeSlotHor, NormalBottomBackingPlateSlugTypeNone
}
 Specifies the type of bottom plate slug. More...
 
enum  NormalCavityType { NormalCavityTypeTaperAngle, NormalCavityTypeStep }
 Specifies the type of cavity. More...
 
enum  NormalDieShoeSlugType {
  NormalDieShoeSlugTypeFillet, NormalDieShoeSlugTypeRectangle, NormalDieShoeSlugTypeCircle, NormalDieShoeSlugTypeMickey,
  NormalDieShoeSlugTypeClearance, NormalDieShoeSlugTypeSlotVer, NormalDieShoeSlugTypeSlotHor, NormalDieShoeSlugTypeNone
}
 Specifies the type of die shoe slug. More...
 
enum  NormalOffsetSideType { NormalOffsetSideTypePunchSide, NormalOffsetSideTypeDieSide }
 Specifies the offset side of normal pierce insert design. More...
 
enum  ParentPartTypes { ParentPartTypesProjectDie, ParentPartTypesProjectDieBase, ParentPartTypesProjectSubDieBase }
 Specifies the parent part type. More...
 
enum  PunchOrDieTypes { PunchOrDieTypesPunch, PunchOrDieTypesDie, PunchOrDieTypesDieCavityAndSlugHole }
 Specifies the parent part type. More...
 
enum  StandardOrUserDefinedTypes { StandardOrUserDefinedTypesStandard, StandardOrUserDefinedTypesUserDefined }
 Specifies the parent part type. More...
 
enum  Types { TypesCreate, TypesEdit, TypesDelete }
 Specifies the parent part type. More...
 

Public Member Functions

NXOpen::NXObjectAddInsertPartIntoAssembly (NXOpen::NXObject *parentPart, const NXString &templatePartName, const NXOpen::Point3d &origin)
 Add insert part into assembly. More...
 
NXOpen::NXObjectAddInsertPartIntoAssembly (NXOpen::NXObject *parentPart, const char *templatePartName, const NXOpen::Point3d &origin)
 Add insert part into assembly. More...
 
NXOpen::Tooling::SpecialPiercingInsertBuilder::BoundBoxType BoundBox ()
 Returns the block or cylinder
Created in NX11.0.0. More...
 
NXOpen::Point3d BoxPosition ()
 Returns the position of csys for box. More...
 
void CalculateBoxSize ()
 Calculate box size and set directions, edge length, lower point position. More...
 
void CreateDatumPlane ()
 The create datum plane
Created in NX11.0.0. More...
 
void CreateIntersect (NXOpen::NXObject *targetBody, NXOpen::NXObject *bodyOfKFBoundBox)
 Create intersect. More...
 
NXOpen::NXObjectCreateKFBoundBox (const NXOpen::Matrix3x3 &wcsMatrix, const std::vector< double > &clearance, const std::vector< NXOpen::NXObject * > &faces)
 Create bound box. More...
 
void CreateOffsetDatumPlane ()
 Create offset datum plane
Created in NX11.0.0. More...
 
void DeleteSelectedInsertAndWaveLinkedSource ()
 Delete selected insert and wave linked source feature. More...
 
NXOpen::ExpressionEndLimit ()
 Returns the end limit
Created in NX11.0.0. More...
 
NXOpen::EdgeGetCorrectEdgeInNewPart (NXOpen::Part *partTag, NXOpen::Edge *sourceEdge)
 Get correct edge in new part. More...
 
void GetCorrectFacesOfExtractRegionFeature (std::vector< NXOpen::Face * > &faces)
 Get correct faces of extrac region feature. More...
 
NXOpen::NXObjectGetHoleBoundaryFaceAndCreatePatchOpenings (const std::vector< NXOpen::NXObject * > &edges)
 Get hole boundary face and create patch openings. More...
 
void GetProfile (NXOpen::Section *sectionTag, std::vector< NXOpen::Curve * > &profiles)
 Get profiles
Created in NX11.0.0. More...
 
void GetWaveLinkedCurves (std::vector< NXOpen::Curve * > &linkedCurves)
 Get wave linked curves
Created in NX11.0.0. More...
 
NXOpen::Tooling::SpecialPiercingInsertBuilder::InsertPositionTypes InsertPosition ()
 Returns the reverse direction
Created in NX8.0.0. More...
 
bool Is3DCurves ()
 Returns the result whether the curves is three dimensional
Created in NX11.0.0. More...
 
NXOpen::Tooling::SpecialPiercingInsertBuilder::NormalBottomBackingPlateSlugType NormalBbpslug ()
 Returns the bottom plate slug type for normal pierce design. More...
 
NXOpen::Tooling::SpecialPiercingInsertBuilder::NormalCavityType NormalCavity ()
 Returns the cavity type for normal pierce design. More...
 
double NormalClearance ()
 Returns the clearance value for normal pierce design. More...
 
NXOpen::Tooling::SpecialPiercingInsertBuilder::NormalDieShoeSlugType NormalDsslug ()
 Returns the die shoe slug type for normal pierce design. More...
 
NXOpen::Tooling::SpecialPiercingInsertBuilder::NormalOffsetSideType NormalOffsetSide ()
 Returns the offset side option for normal pierce design. More...
 
double NormalSlugPara1 ()
 Returns the H value of slug hole for normal pierce design. More...
 
double NormalSlugPara2 ()
 Returns the A value of slug hole for normal pierce design. More...
 
double NormalSlugPara3 ()
 Returns the C1 value of slug hole for normal pierce design. More...
 
double NormalSlugPara4 ()
 Returns the C2 value of slug hole for normal pierce design. More...
 
NXOpen::ExpressionOffsetLinearDimension ()
 Returns the offset linear dimension
Created in NX11.0.0. More...
 
NXOpen::ExpressionOffsetValueLinearDimensionNegativeX ()
 Returns the offset value linear dimension negative x
Created in NX11.0.0. More...
 
NXOpen::ExpressionOffsetValueLinearDimensionNegativeY ()
 Returns the offset value linear dimension negative y
Created in NX11.0.0. More...
 
NXOpen::ExpressionOffsetValueLinearDimensionNegativeZ ()
 Returns the offset value linear dimension negative z
Created in NX11.0.0. More...
 
NXOpen::ExpressionOffsetValueLinearDimensionPositiveX ()
 Returns the offset value linear dimension positive x
Created in NX11.0.0. More...
 
NXOpen::ExpressionOffsetValueLinearDimensionPositiveY ()
 Returns the offset value linear dimension positive y
Created in NX11.0.0. More...
 
NXOpen::ExpressionOffsetValueLinearDimensionPositiveZ ()
 Returns the offset value linear dimension positive z
Created in NX11.0.0. More...
 
NXOpen::Tooling::SpecialPiercingInsertBuilder::ParentPartTypes ParentPart ()
 Returns the parent part
Created in NX11.0.0. More...
 
NXString ParentPartName ()
 Returns the parent part name to create insert. More...
 
double PlateClearanceFirst ()
 Returns the plate clearance first
Created in NX11.0.0. More...
 
double PlateClearanceFourth ()
 Returns the plate clearance fourth
Created in NX11.0.0. More...
 
double PlateClearanceSecond ()
 Returns the plate clearance second
Created in NX11.0.0. More...
 
double PlateClearanceThird ()
 Returns the plate clearance third
Created in NX11.0.0. More...
 
NXOpen::Tooling::SpecialPiercingInsertBuilder::PunchOrDieTypes PunchOrDie ()
 Returns the punch or die
Created in NX11.0.0. More...
 
NXOpen::ExpressionRadialOffset ()
 Returns the radial offset value for cylinder box
Created in NX11.0.0. More...
 
bool RenameComponent ()
 Returns the rename component
Created in NX11.0.0. More...
 
NXOpen::SectionSelectCurves ()
 Returns the select curves
Created in NX11.0.0. More...
 
NXOpen::SelectEdgeListSelectEdges ()
 Returns the select curve
Created in NX11.0.0. More...
 
NXOpen::SelectFaceListSelectFace ()
 Returns the select face
Created in NX11.0.0. More...
 
NXOpen::SelectNXObjectListSelectInsert ()
 Returns the select insert
Created in NX11.0.0. More...
 
NXOpen::DirectionSelectVector ()
 Returns the select vector
Created in NX11.0.0. More...
 
void SetBoundBox (NXOpen::Tooling::SpecialPiercingInsertBuilder::BoundBoxType boundBoxType)
 Sets the block or cylinder
Created in NX11.0.0. More...
 
void SetBoxMatrixAndPosition (const NXOpen::Matrix3x3 &matrix, const NXOpen::Point3d &position)
 Sets box csys matrix. More...
 
void SetBoxPosition (const NXOpen::Point3d &csysOrigin)
 Sets the position of csys for box. More...
 
void SetInsertPosition (NXOpen::Tooling::SpecialPiercingInsertBuilder::InsertPositionTypes insertPosition)
 Sets the reverse direction
Created in NX8.0.0. More...
 
void SetIs3DCurves (bool is3DCurves)
 Sets the result whether the curves is three dimensional
Created in NX9.0.0. More...
 
void SetNormalBbpslug (NXOpen::Tooling::SpecialPiercingInsertBuilder::NormalBottomBackingPlateSlugType normalBbpslug)
 Sets the bottom plate slug type for normal pierce design. More...
 
void SetNormalCavity (NXOpen::Tooling::SpecialPiercingInsertBuilder::NormalCavityType normalCavity)
 Sets the cavity type for normal pierce design. More...
 
void SetNormalClearance (double normalClearance)
 Sets the clearance value for normal pierce design. More...
 
void SetNormalDsslug (NXOpen::Tooling::SpecialPiercingInsertBuilder::NormalDieShoeSlugType normalDsslug)
 Sets the die shoe slug type for normal pierce design. More...
 
void SetNormalOffsetSide (NXOpen::Tooling::SpecialPiercingInsertBuilder::NormalOffsetSideType normalOffsetSide)
 Sets the offset side option for normal pierce design. More...
 
void SetNormalSlugPara1 (double normalSlugPara1)
 Sets the H value of slug hole for normal pierce design. More...
 
void SetNormalSlugPara2 (double normalSlugPara2)
 Sets the A value of slug hole for normal pierce design. More...
 
void SetNormalSlugPara3 (double normalSlugPara3)
 Sets the C1 value of slug hole for normal pierce design. More...
 
void SetNormalSlugPara4 (double normalSlugPara4)
 Sets the C2 value of slug hole for normal pierce design. More...
 
void SetParentPart (NXOpen::Tooling::SpecialPiercingInsertBuilder::ParentPartTypes parentPart)
 Sets the parent part
Created in NX11.0.0. More...
 
void SetParentPartName (const NXString &parentPart)
 Sets the parent part name to create insert. More...
 
void SetParentPartName (const char *parentPart)
 Sets the parent part name to create insert. More...
 
void SetPlateClearanceFirst (double plateClearanceFirst)
 Sets the plate clearance first
Created in NX11.0.0. More...
 
void SetPlateClearanceFourth (double plateClearanceFourth)
 Sets the plate clearance fourth
Created in NX11.0.0. More...
 
void SetPlateClearanceSecond (double plateClearanceSecond)
 Sets the plate clearance second
Created in NX11.0.0. More...
 
void SetPlateClearanceThird (double plateClearanceThird)
 Sets the plate clearance third
Created in NX11.0.0. More...
 
void SetPunchOrDie (NXOpen::Tooling::SpecialPiercingInsertBuilder::PunchOrDieTypes punchOrDie)
 Sets the punch or die
Created in NX11.0.0. More...
 
void SetRenameComponent (bool renameComponent)
 Sets the rename component
Created in NX11.0.0. More...
 
void SetSelectVector (NXOpen::Direction *selectVector)
 Sets the select vector
Created in NX11.0.0. More...
 
void SetStandardOrUserDefined (NXOpen::Tooling::SpecialPiercingInsertBuilder::StandardOrUserDefinedTypes standardOrUserDefined)
 Sets the standard or user defined
Created in NX11.0.0. More...
 
void SetType (NXOpen::Tooling::SpecialPiercingInsertBuilder::Types type)
 Sets the type
Created in NX11.0.0. More...
 
void SetUsePlateClearanceFirst (bool usePlateClearanceFirst)
 Sets the use plate clearance first
Created in NX11.0.0. More...
 
void SetUsePlateClearanceFourth (bool usePlateClearanceFourth)
 Sets the use plate clearance fourth
Created in NX11.0.0. More...
 
void SetUsePlateClearanceSecond (bool usePlateClearanceSecond)
 Sets the use plate clearance second
Created in NX11.0.0. More...
 
void SetUsePlateClearanceThird (bool usePlateClearanceThird)
 Sets the use plate clearance third
Created in NX11.0.0. More...
 
void SetWCSForSpecialPiercingInsert (bool needPrecisionValue)
 Set work coordinate system for special piercing insert
Created in NX11.0.0. More...
 
void SetWizardType (int wizardType)
 Sets the wizard type
Created in NX9.0.0. More...
 
NXOpen::ExpressionSlugHoleHeightLinearDimension ()
 Returns the slug hole height linear dimension
Created in NX11.0.0. More...
 
NXOpen::Tooling::SpecialPiercingInsertBuilder::StandardOrUserDefinedTypes StandardOrUserDefined ()
 Returns the standard or user defined
Created in NX11.0.0. More...
 
NXOpen::ExpressionStartLimit ()
 Returns the start limit
Created in NX11.0.0. More...
 
void SuppressAllFeatureAfter (NXOpen::NXObject *featureTag, bool suppressChildren)
 Suppress child feature. More...
 
NXOpen::Tooling::SpecialPiercingInsertBuilder::Types Type ()
 Returns the type
Created in NX11.0.0. More...
 
bool UsePlateClearanceFirst ()
 Returns the use plate clearance first
Created in NX11.0.0. More...
 
bool UsePlateClearanceFourth ()
 Returns the use plate clearance fourth
Created in NX11.0.0. More...
 
bool UsePlateClearanceSecond ()
 Returns the use plate clearance second
Created in NX11.0.0. More...
 
bool UsePlateClearanceThird ()
 Returns the use plate clearance third
Created in NX11.0.0. More...
 
void WaveFacesAndFillHole (NXOpen::Part *rootPart, NXOpen::NXObject *instanceTag)
 Wave faces and fill hole
Created in NX11.0.0. More...
 
void WaveFacesOfSelectedCurves (NXOpen::Part *rootPart, NXOpen::NXObject *instanceTag)
 Wave faces of selected curves
Created in NX11.0.0. More...
 
void WaveIntersectBodyToNewDieInsertPart (const std::vector< NXOpen::NXObject * > &bodies)
 Wave intersect body to new die insert part. More...
 
void WaveSelectedCurves ()
 Wave selected curves
Created in NX11.0.0. More...
 
int WizardType ()
 Returns the wizard type
Created in NX11.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Creates special piercing insert for progressive die.No entity is returned.


To create a new instance of this class, use NXOpen::Tooling::ProgressiveDieManager::CreateSpecialPiercingInsertBuilder
Default values.

Property Value

BoundBox

BoundedBlock

EndLimit.Value

0 (millimeters part), 0 (inches part)

InsertPosition

Bottom

NormalBbpslug

Fillet

NormalCavity

TaperAngle

NormalClearance

0.05

NormalDsslug

Fillet

NormalOffsetSide

DieSide

NormalSlugPara1

3

NormalSlugPara2

-3

NormalSlugPara3

2

NormalSlugPara4

3

OffsetLinearDimension.Value

3 (millimeters part), 0.12 (inches part)

ParentPart

ProjectDie

PlateClearanceFirst

0

PlateClearanceFourth

0

PlateClearanceSecond

0

PlateClearanceThird

0

PunchOrDie

Punch

RenameComponent

0

SlugHoleHeightLinearDimension.Value

100 (millimeters part), 4 (inches part)

StandardOrUserDefined

Standard

StartLimit.Value

0 (millimeters part), 0 (inches part)

UsePlateClearanceFirst

0

UsePlateClearanceFourth

0

UsePlateClearanceSecond

0

UsePlateClearanceThird

0


Created in NX11.0.0.

Member Enumeration Documentation

Specifies the bounded box type block or cylinder.

Enumerator
BoundBoxTypeBoundedBlock 

bounded block

BoundBoxTypeBoundedCylinder 

bounded cylinder

Specifies the position of piercing inserts, for EDW only.

Enumerator
InsertPositionTypesTop 

The position is top side.

InsertPositionTypesBottom 

The position is bottom side.

Specifies the type of bottom plate slug.

Enumerator
NormalBottomBackingPlateSlugTypeFillet 

Bottom backing plate slug type is fillet.

NormalBottomBackingPlateSlugTypeRectangle 

Bottom backing plate slug type is rectangle.

NormalBottomBackingPlateSlugTypeCircle 

Bottom backing plate slug type is circle.

NormalBottomBackingPlateSlugTypeMickey 

Bottom backing plate slug type is mickey.

NormalBottomBackingPlateSlugTypeClearance 

Bottom backing plate slug type is clearance.

NormalBottomBackingPlateSlugTypeSlotVer 

Bottom backing plate slug type is slot vertical.

NormalBottomBackingPlateSlugTypeSlotHor 

Bottom backing plate slug type is slot horizontal.

NormalBottomBackingPlateSlugTypeNone 

Bottom backing plate slug type is none.

Specifies the type of cavity.

Enumerator
NormalCavityTypeTaperAngle 

the taper angle type

NormalCavityTypeStep 

the step type

Specifies the type of die shoe slug.

Enumerator
NormalDieShoeSlugTypeFillet 

Die shoe slug type is fillet.

NormalDieShoeSlugTypeRectangle 

Die shoe slug type is rectangle.

NormalDieShoeSlugTypeCircle 

Die shoe slug type is circle.

NormalDieShoeSlugTypeMickey 

Die shoe slug type is mickey.

NormalDieShoeSlugTypeClearance 

Die shoe slug type is clearance.

NormalDieShoeSlugTypeSlotVer 

Die shoe slug type is slot vertical.

NormalDieShoeSlugTypeSlotHor 

Die shoe slug type is slot horizontal.

NormalDieShoeSlugTypeNone 

Die shoe slug type is none.

Specifies the offset side of normal pierce insert design.

Enumerator
NormalOffsetSideTypePunchSide 

The offset side is punch.

NormalOffsetSideTypeDieSide 

The offset side is die.

Specifies the parent part type.

Enumerator
ParentPartTypesProjectDie 

project die

ParentPartTypesProjectDieBase 

project die base

ParentPartTypesProjectSubDieBase 

project sub die base

Specifies the parent part type.

Enumerator
PunchOrDieTypesPunch 

punch

PunchOrDieTypesDie 

die

PunchOrDieTypesDieCavityAndSlugHole 

die cavity and slug hole

Specifies the parent part type.

Enumerator
StandardOrUserDefinedTypesStandard 

standard

StandardOrUserDefinedTypesUserDefined 

user defined

Specifies the parent part type.

Enumerator
TypesCreate 

create

TypesEdit 

edit

TypesDelete 

delete

Member Function Documentation

NXOpen::NXObject* NXOpen::Tooling::SpecialPiercingInsertBuilder::AddInsertPartIntoAssembly ( NXOpen::NXObject parentPart,
const NXString templatePartName,
const NXOpen::Point3d origin 
)

Add insert part into assembly.

Returns

Created in NX11.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
Parameters
parentPartparentpart
templatePartNametemplatepartname
originorigin
NXOpen::NXObject* NXOpen::Tooling::SpecialPiercingInsertBuilder::AddInsertPartIntoAssembly ( NXOpen::NXObject parentPart,
const char *  templatePartName,
const NXOpen::Point3d origin 
)

Add insert part into assembly.

Returns

Created in NX11.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
Parameters
parentPartparentpart
templatePartNametemplatepartname
originorigin
NXOpen::Tooling::SpecialPiercingInsertBuilder::BoundBoxType NXOpen::Tooling::SpecialPiercingInsertBuilder::BoundBox ( )

Returns the block or cylinder
Created in NX11.0.0.



License requirements : None

NXOpen::Point3d NXOpen::Tooling::SpecialPiercingInsertBuilder::BoxPosition ( )

Returns the position of csys for box.


Created in NX11.0.0.

License requirements : None

void NXOpen::Tooling::SpecialPiercingInsertBuilder::CalculateBoxSize ( )

Calculate box size and set directions, edge length, lower point position.


Created in NX11.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

void NXOpen::Tooling::SpecialPiercingInsertBuilder::CreateDatumPlane ( )

The create datum plane
Created in NX11.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

void NXOpen::Tooling::SpecialPiercingInsertBuilder::CreateIntersect ( NXOpen::NXObject targetBody,
NXOpen::NXObject bodyOfKFBoundBox 
)

Create intersect.


Created in NX11.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
targetBodytargetbody
bodyOfKFBoundBoxbodyofkfboundbox
NXOpen::NXObject* NXOpen::Tooling::SpecialPiercingInsertBuilder::CreateKFBoundBox ( const NXOpen::Matrix3x3 wcsMatrix,
const std::vector< double > &  clearance,
const std::vector< NXOpen::NXObject * > &  faces 
)

Create bound box.

Returns

Created in NX11.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
Parameters
wcsMatrixwcsmatrix
clearanceclearance
facesfaces
void NXOpen::Tooling::SpecialPiercingInsertBuilder::CreateOffsetDatumPlane ( )

Create offset datum plane
Created in NX11.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

void NXOpen::Tooling::SpecialPiercingInsertBuilder::DeleteSelectedInsertAndWaveLinkedSource ( )

Delete selected insert and wave linked source feature.


Created in NX11.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Expression* NXOpen::Tooling::SpecialPiercingInsertBuilder::EndLimit ( )

Returns the end limit
Created in NX11.0.0.



License requirements : None

NXOpen::Edge* NXOpen::Tooling::SpecialPiercingInsertBuilder::GetCorrectEdgeInNewPart ( NXOpen::Part partTag,
NXOpen::Edge sourceEdge 
)

Get correct edge in new part.

Returns

Created in NX11.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
Parameters
partTagparttag
sourceEdgesourceedge
void NXOpen::Tooling::SpecialPiercingInsertBuilder::GetCorrectFacesOfExtractRegionFeature ( std::vector< NXOpen::Face * > &  faces)

Get correct faces of extrac region feature.


Created in NX11.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
facesfaces
NXOpen::NXObject* NXOpen::Tooling::SpecialPiercingInsertBuilder::GetHoleBoundaryFaceAndCreatePatchOpenings ( const std::vector< NXOpen::NXObject * > &  edges)

Get hole boundary face and create patch openings.

Returns

Created in NX11.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
Parameters
edgesedges
void NXOpen::Tooling::SpecialPiercingInsertBuilder::GetProfile ( NXOpen::Section sectionTag,
std::vector< NXOpen::Curve * > &  profiles 
)

Get profiles
Created in NX11.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
sectionTagsectiontag
profilesprofiles
void NXOpen::Tooling::SpecialPiercingInsertBuilder::GetWaveLinkedCurves ( std::vector< NXOpen::Curve * > &  linkedCurves)

Get wave linked curves
Created in NX11.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
linkedCurveslinkedcurves
NXOpen::Tooling::SpecialPiercingInsertBuilder::InsertPositionTypes NXOpen::Tooling::SpecialPiercingInsertBuilder::InsertPosition ( )

Returns the reverse direction
Created in NX8.0.0.



License requirements : None

bool NXOpen::Tooling::SpecialPiercingInsertBuilder::Is3DCurves ( )

Returns the result whether the curves is three dimensional
Created in NX11.0.0.



License requirements : None

NXOpen::Tooling::SpecialPiercingInsertBuilder::NormalBottomBackingPlateSlugType NXOpen::Tooling::SpecialPiercingInsertBuilder::NormalBbpslug ( )

Returns the bottom plate slug type for normal pierce design.


Created in NX11.0.0.

License requirements : None

NXOpen::Tooling::SpecialPiercingInsertBuilder::NormalCavityType NXOpen::Tooling::SpecialPiercingInsertBuilder::NormalCavity ( )

Returns the cavity type for normal pierce design.


Created in NX11.0.0.

License requirements : None

double NXOpen::Tooling::SpecialPiercingInsertBuilder::NormalClearance ( )

Returns the clearance value for normal pierce design.


Created in NX11.0.0.

License requirements : None

NXOpen::Tooling::SpecialPiercingInsertBuilder::NormalDieShoeSlugType NXOpen::Tooling::SpecialPiercingInsertBuilder::NormalDsslug ( )

Returns the die shoe slug type for normal pierce design.


Created in NX11.0.0.

License requirements : None

NXOpen::Tooling::SpecialPiercingInsertBuilder::NormalOffsetSideType NXOpen::Tooling::SpecialPiercingInsertBuilder::NormalOffsetSide ( )

Returns the offset side option for normal pierce design.


Created in NX11.0.0.

License requirements : None

double NXOpen::Tooling::SpecialPiercingInsertBuilder::NormalSlugPara1 ( )

Returns the H value of slug hole for normal pierce design.


Created in NX11.0.0.

License requirements : None

double NXOpen::Tooling::SpecialPiercingInsertBuilder::NormalSlugPara2 ( )

Returns the A value of slug hole for normal pierce design.


Created in NX11.0.0.

License requirements : None

double NXOpen::Tooling::SpecialPiercingInsertBuilder::NormalSlugPara3 ( )

Returns the C1 value of slug hole for normal pierce design.


Created in NX11.0.0.

License requirements : None

double NXOpen::Tooling::SpecialPiercingInsertBuilder::NormalSlugPara4 ( )

Returns the C2 value of slug hole for normal pierce design.


Created in NX11.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Tooling::SpecialPiercingInsertBuilder::OffsetLinearDimension ( )

Returns the offset linear dimension
Created in NX11.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Tooling::SpecialPiercingInsertBuilder::OffsetValueLinearDimensionNegativeX ( )

Returns the offset value linear dimension negative x
Created in NX11.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Tooling::SpecialPiercingInsertBuilder::OffsetValueLinearDimensionNegativeY ( )

Returns the offset value linear dimension negative y
Created in NX11.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Tooling::SpecialPiercingInsertBuilder::OffsetValueLinearDimensionNegativeZ ( )

Returns the offset value linear dimension negative z
Created in NX11.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Tooling::SpecialPiercingInsertBuilder::OffsetValueLinearDimensionPositiveX ( )

Returns the offset value linear dimension positive x
Created in NX11.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Tooling::SpecialPiercingInsertBuilder::OffsetValueLinearDimensionPositiveY ( )

Returns the offset value linear dimension positive y
Created in NX11.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Tooling::SpecialPiercingInsertBuilder::OffsetValueLinearDimensionPositiveZ ( )

Returns the offset value linear dimension positive z
Created in NX11.0.0.



License requirements : None

NXOpen::Tooling::SpecialPiercingInsertBuilder::ParentPartTypes NXOpen::Tooling::SpecialPiercingInsertBuilder::ParentPart ( )

Returns the parent part
Created in NX11.0.0.



License requirements : None

NXString NXOpen::Tooling::SpecialPiercingInsertBuilder::ParentPartName ( )

Returns the parent part name to create insert.


Created in NX7.5.0.

License requirements : None

double NXOpen::Tooling::SpecialPiercingInsertBuilder::PlateClearanceFirst ( )

Returns the plate clearance first
Created in NX11.0.0.



License requirements : None

double NXOpen::Tooling::SpecialPiercingInsertBuilder::PlateClearanceFourth ( )

Returns the plate clearance fourth
Created in NX11.0.0.



License requirements : None

double NXOpen::Tooling::SpecialPiercingInsertBuilder::PlateClearanceSecond ( )

Returns the plate clearance second
Created in NX11.0.0.



License requirements : None

double NXOpen::Tooling::SpecialPiercingInsertBuilder::PlateClearanceThird ( )

Returns the plate clearance third
Created in NX11.0.0.



License requirements : None

NXOpen::Tooling::SpecialPiercingInsertBuilder::PunchOrDieTypes NXOpen::Tooling::SpecialPiercingInsertBuilder::PunchOrDie ( )

Returns the punch or die
Created in NX11.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Tooling::SpecialPiercingInsertBuilder::RadialOffset ( )

Returns the radial offset value for cylinder box
Created in NX11.0.0.



License requirements : None

bool NXOpen::Tooling::SpecialPiercingInsertBuilder::RenameComponent ( )

Returns the rename component
Created in NX11.0.0.



License requirements : None

NXOpen::Section* NXOpen::Tooling::SpecialPiercingInsertBuilder::SelectCurves ( )

Returns the select curves
Created in NX11.0.0.



License requirements : None

NXOpen::SelectEdgeList* NXOpen::Tooling::SpecialPiercingInsertBuilder::SelectEdges ( )

Returns the select curve
Created in NX11.0.0.



License requirements : None

NXOpen::SelectFaceList* NXOpen::Tooling::SpecialPiercingInsertBuilder::SelectFace ( )

Returns the select face
Created in NX11.0.0.



License requirements : None

NXOpen::SelectNXObjectList* NXOpen::Tooling::SpecialPiercingInsertBuilder::SelectInsert ( )

Returns the select insert
Created in NX11.0.0.



License requirements : None

NXOpen::Direction* NXOpen::Tooling::SpecialPiercingInsertBuilder::SelectVector ( )

Returns the select vector
Created in NX11.0.0.



License requirements : None

void NXOpen::Tooling::SpecialPiercingInsertBuilder::SetBoundBox ( NXOpen::Tooling::SpecialPiercingInsertBuilder::BoundBoxType  boundBoxType)

Sets the block or cylinder
Created in NX11.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
boundBoxTypeboundboxtype
void NXOpen::Tooling::SpecialPiercingInsertBuilder::SetBoxMatrixAndPosition ( const NXOpen::Matrix3x3 matrix,
const NXOpen::Point3d position 
)

Sets box csys matrix.


Created in NX11.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
matrixmatrix
positionposition
void NXOpen::Tooling::SpecialPiercingInsertBuilder::SetBoxPosition ( const NXOpen::Point3d csysOrigin)

Sets the position of csys for box.


Created in NX11.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
csysOrigincsysorigin
void NXOpen::Tooling::SpecialPiercingInsertBuilder::SetInsertPosition ( NXOpen::Tooling::SpecialPiercingInsertBuilder::InsertPositionTypes  insertPosition)

Sets the reverse direction
Created in NX8.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
insertPositioninsertposition
void NXOpen::Tooling::SpecialPiercingInsertBuilder::SetIs3DCurves ( bool  is3DCurves)

Sets the result whether the curves is three dimensional
Created in NX9.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
is3DCurvesis3dcurves
void NXOpen::Tooling::SpecialPiercingInsertBuilder::SetNormalBbpslug ( NXOpen::Tooling::SpecialPiercingInsertBuilder::NormalBottomBackingPlateSlugType  normalBbpslug)

Sets the bottom plate slug type for normal pierce design.


Created in NX11.0.0.

License requirements : None

Parameters
normalBbpslugIndicates bottom plate slug type for normal pierce design
void NXOpen::Tooling::SpecialPiercingInsertBuilder::SetNormalCavity ( NXOpen::Tooling::SpecialPiercingInsertBuilder::NormalCavityType  normalCavity)

Sets the cavity type for normal pierce design.


Created in NX11.0.0.

License requirements : None

Parameters
normalCavityIndicates the cavity type for normal pierce design
void NXOpen::Tooling::SpecialPiercingInsertBuilder::SetNormalClearance ( double  normalClearance)

Sets the clearance value for normal pierce design.


Created in NX11.0.0.

License requirements : None

Parameters
normalClearanceIndicates the clearance value for normal pierce design
void NXOpen::Tooling::SpecialPiercingInsertBuilder::SetNormalDsslug ( NXOpen::Tooling::SpecialPiercingInsertBuilder::NormalDieShoeSlugType  normalDsslug)

Sets the die shoe slug type for normal pierce design.


Created in NX11.0.0.

License requirements : None

Parameters
normalDsslugIndicates die shoe slug type for normal pierce design
void NXOpen::Tooling::SpecialPiercingInsertBuilder::SetNormalOffsetSide ( NXOpen::Tooling::SpecialPiercingInsertBuilder::NormalOffsetSideType  normalOffsetSide)

Sets the offset side option for normal pierce design.


Created in NX11.0.0.

License requirements : None

Parameters
normalOffsetSideIndicates the offset side option for normal pierce design
void NXOpen::Tooling::SpecialPiercingInsertBuilder::SetNormalSlugPara1 ( double  normalSlugPara1)

Sets the H value of slug hole for normal pierce design.


Created in NX11.0.0.

License requirements : None

Parameters
normalSlugPara1Indicates the H value of slug hole for normal pierce design
void NXOpen::Tooling::SpecialPiercingInsertBuilder::SetNormalSlugPara2 ( double  normalSlugPara2)

Sets the A value of slug hole for normal pierce design.


Created in NX11.0.0.

License requirements : None

Parameters
normalSlugPara2Indicates A value of slug hole for normal pierce design
void NXOpen::Tooling::SpecialPiercingInsertBuilder::SetNormalSlugPara3 ( double  normalSlugPara3)

Sets the C1 value of slug hole for normal pierce design.


Created in NX11.0.0.

License requirements : None

Parameters
normalSlugPara3Indicates C1 value of slug hole for normal pierce design
void NXOpen::Tooling::SpecialPiercingInsertBuilder::SetNormalSlugPara4 ( double  normalSlugPara4)

Sets the C2 value of slug hole for normal pierce design.


Created in NX11.0.0.

License requirements : None

Parameters
normalSlugPara4Indicates the C2 value of slug hole for normal pierce design
void NXOpen::Tooling::SpecialPiercingInsertBuilder::SetParentPart ( NXOpen::Tooling::SpecialPiercingInsertBuilder::ParentPartTypes  parentPart)

Sets the parent part
Created in NX11.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
parentPartparentpart
void NXOpen::Tooling::SpecialPiercingInsertBuilder::SetParentPartName ( const NXString parentPart)

Sets the parent part name to create insert.


Created in NX7.5.0.

License requirements : None

Parameters
parentPartSpecifies the parent part name
void NXOpen::Tooling::SpecialPiercingInsertBuilder::SetParentPartName ( const char *  parentPart)

Sets the parent part name to create insert.


Created in NX7.5.0.

License requirements : None

Parameters
parentPartSpecifies the parent part name
void NXOpen::Tooling::SpecialPiercingInsertBuilder::SetPlateClearanceFirst ( double  plateClearanceFirst)

Sets the plate clearance first
Created in NX11.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
plateClearanceFirstplateclearancefirst
void NXOpen::Tooling::SpecialPiercingInsertBuilder::SetPlateClearanceFourth ( double  plateClearanceFourth)

Sets the plate clearance fourth
Created in NX11.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
plateClearanceFourthplateclearancefourth
void NXOpen::Tooling::SpecialPiercingInsertBuilder::SetPlateClearanceSecond ( double  plateClearanceSecond)

Sets the plate clearance second
Created in NX11.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
plateClearanceSecondplateclearancesecond
void NXOpen::Tooling::SpecialPiercingInsertBuilder::SetPlateClearanceThird ( double  plateClearanceThird)

Sets the plate clearance third
Created in NX11.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
plateClearanceThirdplateclearancethird
void NXOpen::Tooling::SpecialPiercingInsertBuilder::SetPunchOrDie ( NXOpen::Tooling::SpecialPiercingInsertBuilder::PunchOrDieTypes  punchOrDie)

Sets the punch or die
Created in NX11.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
punchOrDiepunchordie
void NXOpen::Tooling::SpecialPiercingInsertBuilder::SetRenameComponent ( bool  renameComponent)

Sets the rename component
Created in NX11.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
renameComponentrenamecomponent
void NXOpen::Tooling::SpecialPiercingInsertBuilder::SetSelectVector ( NXOpen::Direction selectVector)

Sets the select vector
Created in NX11.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
selectVectorselectvector
void NXOpen::Tooling::SpecialPiercingInsertBuilder::SetStandardOrUserDefined ( NXOpen::Tooling::SpecialPiercingInsertBuilder::StandardOrUserDefinedTypes  standardOrUserDefined)

Sets the standard or user defined
Created in NX11.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
standardOrUserDefinedstandardoruserdefined
void NXOpen::Tooling::SpecialPiercingInsertBuilder::SetType ( NXOpen::Tooling::SpecialPiercingInsertBuilder::Types  type)

Sets the type
Created in NX11.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
typetype
void NXOpen::Tooling::SpecialPiercingInsertBuilder::SetUsePlateClearanceFirst ( bool  usePlateClearanceFirst)

Sets the use plate clearance first
Created in NX11.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
usePlateClearanceFirstuseplateclearancefirst
void NXOpen::Tooling::SpecialPiercingInsertBuilder::SetUsePlateClearanceFourth ( bool  usePlateClearanceFourth)

Sets the use plate clearance fourth
Created in NX11.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
usePlateClearanceFourthuseplateclearancefourth
void NXOpen::Tooling::SpecialPiercingInsertBuilder::SetUsePlateClearanceSecond ( bool  usePlateClearanceSecond)

Sets the use plate clearance second
Created in NX11.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
usePlateClearanceSeconduseplateclearancesecond
void NXOpen::Tooling::SpecialPiercingInsertBuilder::SetUsePlateClearanceThird ( bool  usePlateClearanceThird)

Sets the use plate clearance third
Created in NX11.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
usePlateClearanceThirduseplateclearancethird
void NXOpen::Tooling::SpecialPiercingInsertBuilder::SetWCSForSpecialPiercingInsert ( bool  needPrecisionValue)

Set work coordinate system for special piercing insert
Created in NX11.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
needPrecisionValueneedprecisionvalue
void NXOpen::Tooling::SpecialPiercingInsertBuilder::SetWizardType ( int  wizardType)

Sets the wizard type
Created in NX9.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
wizardTypewizardtype
NXOpen::Expression* NXOpen::Tooling::SpecialPiercingInsertBuilder::SlugHoleHeightLinearDimension ( )

Returns the slug hole height linear dimension
Created in NX11.0.0.



License requirements : None

NXOpen::Tooling::SpecialPiercingInsertBuilder::StandardOrUserDefinedTypes NXOpen::Tooling::SpecialPiercingInsertBuilder::StandardOrUserDefined ( )

Returns the standard or user defined
Created in NX11.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Tooling::SpecialPiercingInsertBuilder::StartLimit ( )

Returns the start limit
Created in NX11.0.0.



License requirements : None

void NXOpen::Tooling::SpecialPiercingInsertBuilder::SuppressAllFeatureAfter ( NXOpen::NXObject featureTag,
bool  suppressChildren 
)

Suppress child feature.


Created in NX11.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
featureTagfeaturetag
suppressChildrensuppresschildren
NXOpen::Tooling::SpecialPiercingInsertBuilder::Types NXOpen::Tooling::SpecialPiercingInsertBuilder::Type ( )

Returns the type
Created in NX11.0.0.



License requirements : None

bool NXOpen::Tooling::SpecialPiercingInsertBuilder::UsePlateClearanceFirst ( )

Returns the use plate clearance first
Created in NX11.0.0.



License requirements : None

bool NXOpen::Tooling::SpecialPiercingInsertBuilder::UsePlateClearanceFourth ( )

Returns the use plate clearance fourth
Created in NX11.0.0.



License requirements : None

bool NXOpen::Tooling::SpecialPiercingInsertBuilder::UsePlateClearanceSecond ( )

Returns the use plate clearance second
Created in NX11.0.0.



License requirements : None

bool NXOpen::Tooling::SpecialPiercingInsertBuilder::UsePlateClearanceThird ( )

Returns the use plate clearance third
Created in NX11.0.0.



License requirements : None

void NXOpen::Tooling::SpecialPiercingInsertBuilder::WaveFacesAndFillHole ( NXOpen::Part rootPart,
NXOpen::NXObject instanceTag 
)

Wave faces and fill hole
Created in NX11.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
rootPartrootpart
instanceTaginstancetag
void NXOpen::Tooling::SpecialPiercingInsertBuilder::WaveFacesOfSelectedCurves ( NXOpen::Part rootPart,
NXOpen::NXObject instanceTag 
)

Wave faces of selected curves
Created in NX11.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
rootPartrootpart
instanceTaginstancetag
void NXOpen::Tooling::SpecialPiercingInsertBuilder::WaveIntersectBodyToNewDieInsertPart ( const std::vector< NXOpen::NXObject * > &  bodies)

Wave intersect body to new die insert part.


Created in NX11.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
bodiesbodies
void NXOpen::Tooling::SpecialPiercingInsertBuilder::WaveSelectedCurves ( )

Wave selected curves
Created in NX11.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

int NXOpen::Tooling::SpecialPiercingInsertBuilder::WizardType ( )

Returns the wizard type
Created in NX11.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.